#include "jpeg\cdjpeg.h"             

static void jpgmain(HWND hwndDlg)
{
  struct jpeg_decompress_struct cinfo;
  struct jpeg_error_mgr jerr;
  djpeg_dest_ptr dest_mgr = NULL;
  FILE * input_file;
  FILE * output_file;
  JDIMENSION num_scanlines;
  char num[MAX_PATH];

  cinfo.err = jpeg_std_error(&jerr);
  jpeg_create_decompress(&cinfo);

  wsprintf(num,"%s\\%03d%s",szTEMP,0,".jpg");
  input_file = fopen(num, READ_BINARY);
  wsprintf(num,"%s\\%03d%s",szTEMP,0,".bmp");
  output_file = fopen(num, WRITE_BINARY);

  cinfo.dct_method = JDCT_FLOAT;
  cinfo.dither_mode = JDITHER_ORDERED;

  jpeg_stdio_src(&cinfo, input_file);

  (void) jpeg_read_header(&cinfo, TRUE);

  dest_mgr = jinit_write_bmp(&cinfo, FALSE);

  dest_mgr->output_file = output_file;

  (void) jpeg_start_decompress(&cinfo);

  (*dest_mgr->start_output) (&cinfo, dest_mgr);

  while (cinfo.output_scanline < cinfo.output_height) {
    num_scanlines = jpeg_read_scanlines(&cinfo, dest_mgr->buffer,
                                        dest_mgr->buffer_height);
    (*dest_mgr->put_pixel_rows) (&cinfo, dest_mgr, num_scanlines);
  }

  (*dest_mgr->finish_output) (&cinfo, dest_mgr);
  (void) jpeg_finish_decompress(&cinfo);
  jpeg_destroy_decompress(&cinfo);

  if (input_file != stdin)
    fclose(input_file);
  if (output_file != stdout)
    fclose(output_file);
}
