//GRFIO for SPR build 18

static unsigned char _BMP[54]={
0x42,0x4D,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x36,0x04,0x00,0x00,0x28,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00,0x08,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,
0x00,0x00,0x00,0x00,0x00,0x00};

static void RAWtoBMP(unsigned char *tstr,uLong SizeX,uLong SizeY,unsigned char *code){
  uLong x,z,addup=4-(SizeX%4);
  if (addup==4) addup=0;
  for ( x=0 ; x < SizeY ; x++ )
    for ( z=0 ; z < SizeX ; z++ )
      *((char*)(code+(SizeX+addup)*(SizeY-1-x)+z))=*((char*)(tstr+SizeX*x+z));
}

static void dec_RLE(unsigned char *src,uLong srcLen,unsigned char *dest){
  while (srcLen--) {
    if(*src==0) {
      srcLen--;
      memset(dest,0,*++src);
      dest+=*src++;
    } else
      *dest++=*src++;
  } 
}

/*static void sprRGB(unsigned char *buf,unsigned long size){
  unsigned long b;
  unsigned char c;
  for ( b=0 ; b < size*4 ; b+=4 ) {
    if(*(buf+b+3)!=0){
      c=*(buf+b+3);
      *(buf+b+3)=*(buf+b+2);
      *(buf+b+2)=c;
      c=*(buf+b+1);
      *(buf+b+1)=*(buf+b);
      *(buf+b)=c;
    } else {
    c=*(buf+b+2);
    *(buf+b+2)=*(buf+b);
    *(buf+b)=c;
    }
  }
}
*/
static void sprmain(HWND hwndDlg){
  unsigned char num[MAX_PATH];
  unsigned char bgm[1024];
  unsigned char *a,*fn,*rle;
  unsigned long addup;
  uLong b,c;
  FILE *fp;
  wsprintf(num,"%s\\%03d%s",szTEMP,0,".spr");
  fp=fopen(num,"rb");
  if ( !fp )
    SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)wowResStr(STR_FILEFAIL));
else {
  unsigned char bmp[54];
  memcpy(bmp,_BMP,54);

  fseek(fp,-1024,SEEK_END);
  fread(bgm,1,1024,fp);
//  sprRGB(bgm,256);
  for ( b=0 ; b < 1024 ; b+=4 ) {
    c=*(bgm+b+2);
    *(bgm+b+2)=*(bgm+b);
    *(bgm+b)=(unsigned char)c;
  }

  b=ftell(fp);
  fseek(fp,0,SEEK_SET);
  a=malloc(b);
  fread(a,1,b,fp);
  fclose(fp);
  if ( a[0]!='S'&&a[1]!='P' ) {
    SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)wowResStr(STR_NOSPR));
    total=0;
    off=0;
  }
  else if ( a[2]==1 ) {
    total=*(short*)(a+4);
    if ( off > total-1 )
      off=total-1;
    if (total!=0) {
      for ( c=0,b=8 ; c < *(unsigned short*)(a+4) ; c++,b+=*(unsigned short*)(a+b+4)+6 ) {
        uLong x=*(short*)(a+b),y=*(short*)(a+b+2),s=*(short*)(a+b+4);
//        wsprintf(num,wowResStr(STR_RLE));
        wsprintf(num,wowResStr(STR_SPRMSG),"8 - RLE ",c+1,x,y,s,b);
        SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)num);
        UpdateWindow(hwndDlg);
        wsprintf(num,"%s\\%03d%s",szTEMP,c,".bmp");
        fp=fopen(num,"wb");
        *((int*)(bmp+18))=x;
        *((int*)(bmp+22))=y;
        addup=4-(x%4);
        if (addup==4) addup=0;
        *((long*)(bmp+2))=(x+addup)*y+54+1024;
        *((long*)(bmp+34))=(x+addup)*y;
        fn=malloc((x+addup)*y);
        rle=malloc((x+addup)*y);
        dec_RLE(a+b+6,s,rle);
        RAWtoBMP(rle,x,y,fn);
        fwrite(bmp,1,54,fp);
        fwrite(bgm,1,1024,fp);
        fwrite(fn,1,(x+addup)*y,fp);
        fclose(fp);
        free(fn);
      }
    }
    else {
      total=*(short*)(a+6);
      if ( off > total-1 )
        off=total-1;
      for ( c=0,b=8 ; c < *(unsigned short*)(a+6) ; c++,b+=*(unsigned short*)(a+b)**(unsigned short*)(a+b+2)*4+4 ) {
        uLong x=*(short*)(a+b),y=*(short*)(a+b+2),i,j;
//        wsprintf(num,wowResStr(STR_TRUE));
        wsprintf(num,wowResStr(STR_SPRMSG),"32 ",c+1,x,y,0,b);
        SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)num);
        UpdateWindow(hwndDlg);
        wsprintf(num,"%s\\%03d%s",szTEMP,c,".bmp");
        fp=fopen(num,"wb");
        *((int*)(bmp+18))=x;
        *((int*)(bmp+22))=y;
        addup=4-(x%4);
        if (addup==4) addup=0;
        *((long*)(bmp+2))=(x+addup)*y*4+54;
        *((long*)(bmp+34))=(x+addup)*y*4;
        *((char*)(bmp+11))=0;
        *((char*)(bmp+28))=32;
        fn=malloc((x+addup)*y*4);
//        sprRGB(a+b+4,x*y);
  for ( i=0 ; i < x*y*4 ; i+=4 ) {
    j=*(a+b+4+i+3);
    *(a+b+4+i+3)=*(a+b+4+i+2);
    *(a+b+4+i+2)=(unsigned char)j;
    j=*(a+b+4+i+1);
    *(a+b+4+i+1)=*(a+b+4+i);
    *(a+b+4+i)=(unsigned char)j;
  }
        RAWtoBMP(a+b+4,x*4,y,fn);
        fwrite(bmp,1,54,fp);
        fwrite(fn,1,(x+addup)*y*4,fp);
        fclose(fp);
        free(fn);
      }
    }
  }
  else if ( a[2]==0 ) {
    total=*(short*)(a+4);
    if ( off > total-1 )
      off=total-1;
    for ( c=0,b=8 ; c < *(unsigned short*)(a+4) ; c++,b+=*(unsigned short*)(a+b)**(short*)(a+b+2)+4 ) {
      uLong x=*(unsigned short*)(a+b),y=*(unsigned short*)(a+b+2);
//      wsprintf(num,wowResStr(STR_PAL));
      wsprintf(num,wowResStr(STR_SPRMSG),"8 ",c+1,x,y,0,b);
      SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)num);
      UpdateWindow(hwndDlg);
      wsprintf(num,"%s\\%03d%s",szTEMP,c,".bmp");
      fp=fopen(num,"wb");
      *((int*)(bmp+18))=x;
      *((int*)(bmp+22))=y;
      addup=4-(x%4);
      if (addup==4) addup=0;
      *((long*)(bmp+2))=(x+addup)*y+54+1024;
      *((long*)(bmp+34))=(x+addup)*y;
      fn=malloc((x+addup)*y);
      RAWtoBMP(a+b+4,x,y,fn);
      fwrite(bmp,1,54,fp);
      fwrite(bgm,1,1024,fp);
      fwrite(fn,1,(x+addup)*y,fp);
      fclose(fp);
      free(fn);
    }
  }
  else {
    SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)wowResStr(STR_UNSPR));
    total=0;
    off=0;
  }
  wsprintf(num,wowResStr(STR_D_D),off+1,total);
  SendDlgItemMessage(hwndDlg ,306 ,WM_SETTEXT ,0, (LPARAM)num);
  free(a);
  }
}
/*
static void tgamain(HWND hwndDlg){
  unsigned char num[MAX_PATH];
  unsigned char *a,*fn;
  unsigned long addup;
  uLong b,x,y;
  FILE *fp;
  wsprintf(num,"%s\\%03d%s",szTEMP,0,".tga");
  fp=fopen(num,"rb");
  if ( !fp )
    SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)wowResStr(STR_FILEFAIL));
  else {
    unsigned char bmp[54];
    memcpy(bmp,_BMP,54);
    fseek(fp,0,2);
    b=ftell(fp);
    fseek(fp,0,0);
    a=malloc(b);
    fread(a,1,b,fp);
    fclose(fp);

    x=*(short*)(a+12);
    y=*(short*)(a+14);
//    wsprintf(num,wowResStr(STR_TRUE));
    wsprintf(num,wowResStr(STR_SPRMSG),"32 ",1,x,y,0,20);
    SendDlgItemMessage(hwndDlg, IDC_LIST, WM_SETTEXT ,0, (LPARAM)num);
    UpdateWindow(hwndDlg);
    wsprintf(num,"%s\\%03d%s",szTEMP,0,".bmp");
    fp=fopen(num,"wb");
    *((int*)(bmp+18))=x;
    *((int*)(bmp+22))=y;
    addup=4-(x%4);
    if (addup==4) addup=0;
    *((long*)(bmp+2))=(x+addup)*y*4+54;
    *((long*)(bmp+34))=(x+addup)*y*4;
    *((char*)(bmp+11))=0;
    *((char*)(bmp+28))=32;
    fn=malloc((x+addup)*y*4);
    fwrite(bmp,1,54,fp);
    fwrite(a+18,1,(x+addup)*y*4,fp);
    fclose(fp);
    free(fn);
  }
}
*/